## org.apache.lucene.util
Class ToStringUtils

    java.lang.Object
      org.apache.lucene.util.ToStringUtils

    public class ToStringUtils

extends Object

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Constructor Summary
`ToStringUtils()`

Method Summary
`static String` `boost(float boost)` for printing boost only if not 1.0

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToStringUtils

    public ToStringUtils()

Method Detail

### boost

    public static String boost(float boost)

  for printing boost only if not 1.0

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.